(defmodule EQUIPO-A
  (import MAIN deftemplate initial-fact ficha 
  	  dimension tiempo mueve tiempo-inicial)
  (import MAIN deffunction ?ALL))

(deffun EQUIPO-A::read-mov(?n ?t)
	(bind ?mov (read))
	(printout t "EQUIPO-B mueve a" ?n " 
		    hacia " ?mov " en t " ?t crlf))

(defrule EQUIPO-A::lecturaA
  (declare (salience 100))
  (tiempo ?t)
  =>
  (bind ?n (read))
  (read-mov ?n ?t))

(defrule EQUIPO-A::termina
  (declare (salience 100))
  (tiempo ?t)
  (dimension ?dim)
  (mueve (num ?n) (mov ?m) (tiempo ?t))
  (ficha (equipo "A") (num ?n) (pos-x ?x) (pos-y ?y))
  (test (mov-valido ?dim ?m ?x ?y)) 
  (not (ficha (equipo "A")  (pos-x ?x2&:(= (+ ?x 
       (mov-x ?m)) ?x2)) (pos-y ?y2&:
       (= (+ ?y (mov-y ?m)) ?y2))))
  =>
  (pop-focus))